ECHO OFF
REM Batch file for: The Engine of Life
REM Batch file name: HEART.BAT
REM Version: 3.95
REM Last modification date of this batch file: 921002
REM Written by Russell D. Hoffman,  The Animated Software Co.(tm)
REM Modified by Russell D. Hoffman
CLS
ECHO * * * *   G R E E T I N G S !   * * * *
ECHO *1) THIS RUNS *THE ENGINE OF LIFE*.   *
ECHO *2) PRESS [ESCAPE] TO END THE PROGRAM.*
ECHO *3) VGA USES GRAPHICS MODE 19:        *
ECHO *   MODE 19 (320X200 DOTS, 256-COLOR) *
ECHO *4) CGA USES GRAPHICS MODE 4:         *
ECHO *   MODE 04 (320X200 DOTS, 4-COLOR)   *
ECHO *5) VGA WILL RUN, OR USE OPTIONS:     *
ECHO *   HEART.BAT CGA   if you have CGA   *
ECHO *   HEART.BAT DEMO  if you have a demo*
ECHO *   HEART.BAT INTRO (a different demo)*
IF %1.==. GOTO MORE
IF %1==? GOTO GIVEUP
:MORE
ECHO * * * *  T H A N K   Y O U !  * * * * *
SET P11FLAGS=
IF %1.==. GOTO FULLCOLOR
IF %1==? GOTO EXIT
IF %1==CGA GOTO FOURCOLOR
IF %1==cga GOTO FOURCOLOR
GOTO FULLCOLOR
:FOURCOLOR
GOTO FLAGSET
:FULLCOLOR
PAUSE
CLS
IF %1.==. GOTO HRTPLAIN
IF %1==DEMO GOTO HRTDEMO
IF %1==demo GOTO HRTDEMO
IF %1==INTRO GOTO HRTINTRO
IF %1==intro GOTO HRTINTRO
:HRTPLAIN
IF EXIST \P11\HEART\MCGAHART\MCGAMODE.TXT GOTO HRTGOOD
IF EXIST \P11\HEART\CGAHEART\CGAMODE.TXT GOTO CGAHRT
:HRTDEMO
IF NOT EXIST \P11\HEART\MCGAHART\HARTDEMO.TXT GOTO CURRPATH
IF NOT EXIST \P11\P11RUN.EXE GOTO NOP11
\P11\P11RUN.EXE [F:55 FO:9 C:30 S:0,0,19 B:0] \P11\HEART\MCGAHART\HARTDEMO.TXT
GOTO DONE
:CURRPATH
IF NOT EXIST HARTDEMO.TXT GOTO HRTINTRO
IF NOT EXIST P11RUN.EXE GOTO MIXEDPATH
P11RUN.EXE [C:30 FO:9 F:55 S:0,0,19 B:0] HARTDEMO.TXT
GOTO DONE
:MIXEDPATH
IF NOT EXIST \P11\P11RUN.EXE GOTO NOP11
\P11\P11RUN.EXE [C:30 FO:9 F:55 S:0,0,19 B:0] HARTDEMO.TXT
GOTO DONE
:HRTINTRO
IF NOT EXIST \P11\HEART\MCGAHART\FUNFACTS.TXT GOTO INTRPATH
IF NOT EXIST \P11\P11RUN.EXE GOTO NOP11
\P11\P11RUN.EXE [F:15 FO:9 C:57 S:0,0,19 B:0] \P11\HEART\MCGAHART\FUNFACTS.TXT
GOTO DONE
:INTRPATH
IF NOT EXIST FUNFACTS.TXT GOTO HEARTFAIL
IF NOT EXIST P11RUN.EXE GOTO INTROMIXED
P11RUN.EXE [C:57 FO:9 F:15 S:0,0,19 B:0] FUNFACTS.TXT
GOTO DONE
:INTROMIXED
IF NOT EXIST \P11\P11RUN.EXE GOTO NOP11
\P11\P11RUN.EXE [C:57 FO:9 F:15 S:0,0,19 B:0] FUNFACTS.TXT
:DONE
IF ERRORLEVEL 1 GOTO HEARTSTOP
GOTO EXIT
:CGAHRT
IF NOT EXIST \P11\P11RUN.EXE GOTO NOP11
CLS
ECHO  *****************************
ECHO  The first file of the MCGA
ECHO  version of The Engine of Life
ECHO  is missing from the default
ECHO  drive.  The CGA version 
ECHO  exists so that will be run
ECHO  instead...
ECHO  *****************************
:FLAGSET
PAUSE
IF NOT EXIST \P11\P11RUN.EXE GOTO NOP11
\P11\P11RUN.EXE [C:16 FO:3 F:55 E:0 S:0,0,4] \P11\HEART\CGAHEART\CGAMODE.TXT
IF ERRORLEVEL 1 GOTO HEARTSTOP
GOTO EXIT
:HRTGOOD
IF NOT EXIST \P11\P11RUN.EXE GOTO NOP11
\P11\P11RUN.EXE [F:55 FO:9 C:57 S:0,0,19] \P11\HEART\MCGAHART\MCGAMODE.TXT
IF ERRORLEVEL 1 GOTO HEARTSTOP
GOTO EXIT
:NOP11
ECHO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
ECHO !  CANNOT FIND P11RUN.EXE, WHICH IS !
ECHO !  NEEDED TO RUN THE HEART LESSON.  !
ECHO !  P11RUN.EXE NORMALLY SHOULD BE IN !
ECHO !  THE \P11 DIRECTORY ON THE SAME   !
ECHO !  DRIVE THAT THE HEART PATH IS.    !
ECHO !                                   !
GOTO GIVEUP
:HEARTFAIL
ECHO   SORRY! CAN'T FIND 
ECHO   THE ENGINE OF LIFE DEMO FILES!
ECHO   BE SURE TO RUN THIS BATCH FILE
ECHO   FROM THE DRIVE WHERE THE PATHS
ECHO   \P11\HEART & \P11\HEART\MCGAHART ARE.
ECHO   SUGGESTION:
ECHO      INSTALL FROM ORIGINAL MASTERS
ECHO      AND RERUN.
GOTO GIVEUP
:HEARTSTOP
CLS
ECHO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
ECHO ! UNABLE TO RUN THE WHOLE PROGRAM!  !
ECHO ! POSSIBLY THERE IS NOT ENOUGH      !
ECHO ! RAM TO RUN THE FULL-SIZE PROGRAM. !
ECHO ! TRY REMOVING ANY TSR SOFTWARE,    !
ECHO ! DOS SHELLS, ETC. AND RERUN!       !
:GIVEUP
ECHO ! FOR ASSISTANCE, PLEASE CONTACT:   !
ECHO !   THE ANIMATED SOFTWARE COMPANY   !
ECHO !   America Online:RUSSELL DH       !
ECHO !   Compuserve:70743,1226           !
ECHO !   Phone:(800) 551-2726            !
ECHO !         (619) 720-7261            !
ECHO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
PAUSE 
GOTO EXIT
:EXIT
ECHO ........Bye from The Animated Software Company!
ECHO ON
